classification
Title: What's New multiprocessing example error
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: davipo, docs@python, eric.araujo, ezio.melotti, jstadler, python-dev, r.david.murray, rhettinger, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-05-09 18:55 by davipo, last changed 2012-01-05 18:55 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
issue12042_2.7.patch jstadler, 2011-05-14 17:23 Queue is used to communicate the result only, changed doc to reflect this.
issue12042_31.patch jstadler, 2011-05-26 17:12 Doc update for 3.1 -- Queue communicates result review
issue12042_32.patch jstadler, 2011-05-26 17:12 Doc update for 3.2 -- Queue communicates result review
Messages (15)
msg135626 - (view) Author: Davi Post (davipo) Date: 2011-05-09 18:55
In this section:
http://docs.python.org/whatsnew/2.6.html#pep-371-the-multiprocessing-package

This sentence follows the first example:
"A Queue is used to communicate the input parameter N and the result."

In the example, the queue is used only for the result, not the input parameter N.

[P.S. I'd be happy to submit corrections, but don't want to have to install and learn Mercurial. Is there a simpler way?]
msg135821 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-05-12 06:10
The workflow to prepare a patch using Mercurial is pretty much the same as SVN:

# get a clone (checkout) of the repository
hg clone http://hg.python.org/cpython 
# select the branch where you want to fix the issue
hg update 2.7
# make changes on the file(s) and make a patch
hg diff > issue12042.diff

See also http://docs.python.org/devguide/setup.html
Also note that 2.6 only receives security fixes, so it can't be fixed there.  All the "whatsnew" files are also included in the following  versions though, so it might be worth preparing a patch against 2.7.
msg135944 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-13 19:10
I'll prepare the patch if davipo doesn't want to. I'm trying to become more comfortable with the patching process and this seems simple enough for me to handle.
msg135979 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-14 17:24
Patch is up for 2.7, minor change in the documentation.
msg136658 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-23 15:02
I’m not sure historical whatsnew documents get fixes.  As long as the PEPs and docs get fixes, the whatsnew can stay as they are.
msg136676 - (view) Author: Davi Post (davipo) Date: 2011-05-23 16:24
The What's New docs are the place to find information on changes between versions. Upgrading to 2.7 from 2.5, I needed to read the 2.6 and 2.7 What's New docs to learn what changes I should be aware of. I hope errors in these docs will be fixed, at least for a few versions back. (This particular fix is not so important, but I'm trying to practice the habit of at least reporting problems I see, to make a contribution to Python.)
msg136677 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-23 16:34
Alright, should it be closed if we aren't going to touch it?
msg136681 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-23 16:54
Let’s fix it in the open branches.
msg136985 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-26 17:17
Alright, patches are up for 3.1 and 3.2. I'm not sure if I can just make one for the 3.x's so I made both.
msg137014 - (view) Author: Davi Post (davipo) Date: 2011-05-26 23:07
Thanks Jordan. How about 2.7? Is that not an open branch?

--Davi

On Thu, May 26, 2011 at 12:17 PM, Jordan Stadler <report@bugs.python.org>wrote:

>
> Jordan Stadler <jordan.stadler@gmail.com> added the comment:
>
> Alright, patches are up for 3.1 and 3.2. I'm not sure if I can just make
> one for the 3.x's so I made both.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue12042>
> _______________________________________
>
msg137015 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-26 23:37
To be honest, I'm getting a bit confused as to what is required. I thought the two most important patches would be 2.7 and 3.2, but we have 2.7, 3.1, 3.2, and 3.3 listed as versions affected.  

I posted the patch for 2.7 originally on May 14th.  I'm not sure if there is a problem with that patch I posted, but Eric didn't seem content with the versions.  At this time versions 3.1, 3.2, and 3.3 were added to the affected versions list.

Today I did the patches for 3.1 and 3.2, but I am unsure of how to provide one for 3.3 as is is not listed in mercurial for me (I'm probably doing something wrong, but I couldn't see it).

The change in the patch is so minor and I don't mind doing 3.3 if I can get my mercurial to update to 3.3.  If the change I made in the patches is insufficient please let me know, I have no problem making adjustments.  I'm still getting used to the patching process and how to properly contribute to the community.

TLDR: Basically, I'm a little confused as to whether or not the patches I provided are sufficient.
msg137023 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-05-27 02:45
Sometimes only one patch is needed, if it applies cleanly to both python2 and python3.  If it doesn't, then two patches are useful, one for python2.7 and one for python3.2.  (The last version of 3.1 is about to be released, so I don't think it likely that the fix will get in to that version.)  We will use hg merge to merge it into 3.3, which is simply the 'default' head in the repository.
msg137063 - (view) Author: Jordan Stadler (jstadler) Date: 2011-05-27 15:45
Alright, thanks for the clarification, that's pretty much how I thought it worked. Patches supplied should be good then.
msg150681 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-05 18:51
New changeset 3353f9747a39 by Sandro Tosi in branch '2.7':
Issue #12042: a queue is only used to retrive results; preliminary patch by Jordan Stadler
http://hg.python.org/cpython/rev/3353f9747a39

New changeset 0d4bb1356f39 by Sandro Tosi in branch '3.2':
Issue #12042: a queue is only used to retrive results; preliminary patch by Jordan Stadler
http://hg.python.org/cpython/rev/0d4bb1356f39

New changeset e379617b4c4c by Sandro Tosi in branch 'default':
Issue #12042: merge with 3.2
http://hg.python.org/cpython/rev/e379617b4c4c
msg150682 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-05 18:55
Thanks Davi for the report and Jordan for the patch! Jordan, a tip for your (hopefully) future contributions: for doc patches, please don't re-indent the whole paragraph, since it makes harder to identify the actual changes, just change what is needed, and the committer will take care (if needed) to re indent the paragraph.

I've re-edited a bit and committed the fix in the active branches.
History
Date User Action Args
2012-01-05 18:55:11sandro.tosisetstatus: open -> closed

versions: - Python 3.1
nosy: + sandro.tosi

messages: + msg150682
resolution: fixed
stage: resolved
2012-01-05 18:51:04python-devsetnosy: + python-dev
messages: + msg150681
2011-05-27 16:31:19eric.araujosetfiles: - unnamed
2011-05-27 15:45:33jstadlersetmessages: + msg137063
2011-05-27 02:51:40rhettingersetnosy: + rhettinger
2011-05-27 02:45:14r.david.murraysetnosy: + r.david.murray
messages: + msg137023
2011-05-26 23:37:08jstadlersetmessages: + msg137015
2011-05-26 23:07:19daviposetfiles: + unnamed

messages: + msg137014
2011-05-26 17:17:12jstadlersetmessages: + msg136985
2011-05-26 17:12:50jstadlersetfiles: + issue12042_32.patch
2011-05-26 17:12:29jstadlersetfiles: + issue12042_31.patch
2011-05-23 16:54:37eric.araujosetmessages: + msg136681
versions: + Python 3.1, Python 3.2, Python 3.3
2011-05-23 16:34:24jstadlersetmessages: + msg136677
2011-05-23 16:24:41daviposetmessages: + msg136676
2011-05-23 15:02:47eric.araujosetnosy: + eric.araujo
messages: + msg136658
2011-05-14 17:24:10jstadlersetmessages: + msg135979
2011-05-14 17:23:03jstadlersetfiles: + issue12042_2.7.patch
keywords: + patch
2011-05-13 19:10:33jstadlersetnosy: + jstadler
messages: + msg135944
2011-05-12 06:10:15ezio.melottisetnosy: + ezio.melotti

messages: + msg135821
versions: + Python 2.7, - Python 2.6
2011-05-09 18:55:11davipocreate